08 октября 2016

Установить утилиту Ukuu (Ubuntu Kernel Upgrade Utility) в Ubuntu и производные

Утилита Ukuu - Ubuntu Kernel Upgrade Utility, это графическая программа для оповещения выхода нового ядра Linux, с возможностью его автоматической установки в графическом варианте, без необходимости загрузки отдельных .deb-пакетов ядра.


Особенности:

   - Отображает перечень доступных ядер kernel.ubuntu.com.
   - Отображает уведомления, когда доступно новое обновление ядра.
   - Загрузка и установка пакетов ядра автоматически.
   - Удаление неиспользованного ядра.

Установка утилиты Ukuu (Ubuntu Kernel Upgrade Utility) в Ubuntu и производные

Откройте терминал, скопируйте и выполните следующие команды:

sudo apt-add-repository -y ppa:teejee2008/ppa
sudo apt-get update
sudo apt-get install ukuu


По окончании установки запустите утилиту Ukuu из системного меню.

Выберите из представленного перечня ядро, кликом на строке и нажмите кнопку Install:


После чего утилита загрузит необходимые пакеты ядра и начнёт установку:


По окончании установки нового ядра, будет предложено закрыть все окна приложений и перезагрузить компьютер для использования нового ядра:


Проверить используемое ядро системой можно, выполнив следующую команду в терминале:

uname -r


Удаление неиспользованного ядра также просто, как и установка. Откройте программу Ukuu, найдите в перечне установленное, но незадействованное ядро, клик на строке и кнопка - Remove (удалить):

В самом низу окна красным шрифтом всегда отображается актуальное ядро, т.е. ядро на котором в настоящий момент работает система.

Домашняя страница Ukuu

Удачи.

32 комментария :

  1. Отличная утилита, оперативненько статью подготовили.
    Хочу увидеть ещё статей в том же духе.

    ОтветитьУдалить
    Ответы
    1. Спасибо, Михаил. ==Хочу увидеть ещё статей в том же духе.== Какие именно статьи?

      Удалить
    2. Потому что этот репзиторий пока поддерживает Ubuntu 16.04/14.04
      Попробуйте установить Ukuu .deb-пакетом, выбрав свою систему:
      http://dl.dropbox.com/u/67740416/linux/ukuu-latest-i386.deb
      http://dl.dropbox.com/u/67740416/linux/ukuu-latest-amd64.deb

      Удалить
    3. Статьи показывающие всякие утилиты, те или иные аспекты, которые можно облегчить или автоматизировать.

      Удалить
  2. Какие именно статьи? Например, про btrfs.

    ОтветитьУдалить
  3. Отличная прога, пользуюсь уже недели 2 =)

    ОтветитьУдалить
  4. Да, супер прога!
    Владимир, быстро вы среагировали на просьбу выложить эту программу в блог!
    Спасибо!

    ОтветитьУдалить
  5. На xubuntu 16.04.01 (ядро 4.4.0-38 generic) имеет смысл с помощью Ukuu установить ядро 4.8.1 ? Вроде и так всё нормально пашет... или будет еще лучше?

    ОтветитьУдалить
    Ответы
    1. Я думаю все помнят этот анекдот с длинной бородой:

      Сидит программист глубоко в отладке.
      Подходит сынишка:
      — Папа, почему солнышко каждый день встает на востоке, а садится на западе?
      — Ты это проверял?
      — Проверял.
      — Хорошо проверял?
      — Хорошо.
      — Работает?
      — Работает.
      — Каждый день работает?
      — Да, каждый день.
      — Тогда ради бога, сынок, работает — не трогай!!! :)))

      Удалить
    2. :) хорошо папа,- оставлю как есть :)

      Удалить
  6. может кто-то подсказать как это победить??
    sudo apt-get install ukuu
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
    Пакеты, имеющие неудовлетворённые зависимости:
    appstream-data-pantheon-loki-stable-icons : Зависит: appstream-data-pantheon-loki-stable но он не будет установлен
    ukuu : Зависит: aptitude
    Зависит: aria2 но он не будет установлен
    E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).

    ОтветитьУдалить
    Ответы
    1. Люля Кебаб, Вы не указываете систему, в которой пытаетесь установить утилиту ukuu.
      Согласно выводам терминала, это elementary OS 0.4. Если это так, то в этой системе нужно прежде установить пакет software-properties-common, который даёт возможность подключения сторонних репозиториев:

      sudo apt install software-properties-common

      А затем делать установку сторонних программ.

      Удалить
    2. система elementary OS 0.4.
      это же видно )) appstream-data-pantheon-loki-stable-icons
      пакет пакет software-properties-common давно уже установлен

      Удалить
    3. Я так понял Вы меня пытаетесь упрекнуть в том чего сам не объясняете: "это же видно". Раз такой умный, зачем обращаешься...?(

      Удалить
    4. я не кого упрекать не пытаюсь, мне просто нужно решить вопрос с пакетами, имеющие неудовлетворённые зависимости:Владимир Вы сможете мне помочь с этим вопросом?

      Удалить
    5. Установите gdebi, который при установке deb-пакетов удовлетворяет зависимости: sudo apt-get install gdebi

      А затем попробуйте установить Ukuu .deb-пакетом, выбрав свою систему:
      http://dl.dropbox.com/u/67740416/linux/ukuu-latest-i386.deb
      http://dl.dropbox.com/u/67740416/linux/ukuu-latest-amd64.deb

      Удалить
    6. gdebi установлен, вот что он пишет -
      http://pixs.ru/showimage/Snimokekra_8736562_23604314.png

      gksudo synaptic и sudo apt-get install -f ничего не даёт

      В терминале мне пишут: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
      Вот я и пытаюсь найти это другое решение у Вас)

      Удалить
    7. Удалите appstream и всё что с ним связано. Видимо он не позволяет дальнейшую установку пакетов.

      Удалить
    8. проблема решилась вот таким вот заклинанием:
      sudo apt-get purge appstream-data-pantheon-loki*
      после чего Ukuu установилась
      Владимир спасибо за уделённое время)

      Удалить
  7. отличная программка, всё видно теперь.

    ОтветитьУдалить
  8. Удалил ее и после этого её конфиг оставшийся запускал мне процесс, который очень грузил процессор.. находился в папке .confg в домашней директории...

    ОтветитьУдалить
  9. Минт 17.3
    Ни одно ядро не встало, приходится довольствоваться официальными релизами (4.4.0-42).

    ОтветитьУдалить
  10. Перестает работать vmWare на новом ядре, так что кому что нужно.

    ОтветитьУдалить
  11. После установки заметил что ноут начал греться, самопроизвольно выключаться, и немерено жрать оперативу и использование проца, удалил, все встало на места.

    ОтветитьУдалить
  12. Поставил через нее kernel 4.8.12. При каждой перезагрузке - сообщает, что доступно ядро 4.8.9 и предлагает установить. Удалил нафиг.

    ОтветитьУдалить
    Ответы
    1. Не нужно было удалять. Достаточно в Настройках отключить извещения.

      Удалить